% Experimental data from literature - figure 0
% Salil Apte
% 23.03.2017
addpath(genpath('superbar-master'))
clear all
clc
bws1 = -5:5:100;

%% No of papers per category
%T-U, T-M, O-U, O-M
c1 = categorical({'T-UM','T-M','O-UM','O-M'});
y1 = [25,10; 4,0; 9,3; 2,1];

figure
bar(c1,y1,'stacked')
grid on
grid minor
%legend('Healthy','Patients')
set(gca,'fontsize',36)
ylabel('Number of studies','FontSize',36,'FontWeight','bold')
xlabel('Category','FontSize',36,'FontWeight','bold')

%% No of papers per bws
%T-U, T-M, O-U, O-M
%    -5   0    5    10  15  20  25  30   35  40  45  50  55  60  65  70  75  80  85  90  95  100
y2 = [4,  0 ,  1,   6,  5,  11,  7, 15,  1,  11,  1, 16,  0,  5,  0,  4,  7,  2,  0,  1,  1,  2;
      3,  0 ,  1,   2,  2,   3,  2,  5,  0,   4,  0,  5,  0,  1,  0,  0,  3,  1,  0,  0,  0,  1];   

figure
bar(bws1,y2','stacked')
axis([-10 105 0 25])
grid on
grid minor
legend('Healthy','Patients')
set(gca,'fontsize',36)
ylabel('Number of studies','FontSize',36,'FontWeight','bold')
xlabel('Percentage of BWU','FontSize',36,'FontWeight','bold')